Bug 241556 - devel/rubygem-rdoc: Update to 6.2.1.
Summary: devel/rubygem-rdoc: Update to 6.2.1.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-28 23:35 UTC by Yasuhiro KIMURA
Modified: 2020-10-03 12:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch file (534 bytes, patch)
2019-10-28 23:35 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (6.34 KB, patch)
2019-12-02 07:59 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (6.83 KB, patch)
2019-12-25 01:23 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (896 bytes, patch)
2020-09-21 20:35 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-10-28 23:35:06 UTC
Created attachment 208663 [details]
Patch file

* Install bin/{rdoc,ri} with Ruby 2.6 or newer.
* Bump PORTREVISION because 2.6 is default versin of Ruby.
Comment 1 Yasuhiro KIMURA 2019-12-02 07:59:56 UTC
Created attachment 209588 [details]
Updated patch file

According to my proposal in bug #241555, comment #11,

* Install ${PREFIX}/bin/{rdoc,ri}.
* Install ri(1) man page.
* Set GEM_MANPAGE_SEC1.

So please commit attached patch instead of original one.
Comment 2 Yasuhiro KIMURA 2019-12-25 01:23:57 UTC
Created attachment 210211 [details]
Updated patch file

New version 6.2.1 is released. So please commit attached patch instead of previous ones.
Comment 3 Yasuhiro KIMURA 2020-09-21 20:35:05 UTC
Created attachment 218159 [details]
Updated patch file

Update patch so it simply update this port to 6.2.1 and doesn't depend on bug 241554 and bug242352.
Comment 4 commit-hook freebsd_committer 2020-10-03 12:23:46 UTC
A commit references this bug:

Author: meta
Date: Sat Oct  3 12:23:14 UTC 2020
New revision: 551306
URL: https://svnweb.freebsd.org/changeset/ports/551306

Log:
  devel/rubygem-rdoc: Update to 6.2.1

  PR:		241556
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Changes:
  head/devel/rubygem-rdoc/Makefile
  head/devel/rubygem-rdoc/distinfo
Comment 5 Koichiro Iwao freebsd_committer 2020-10-03 12:30:34 UTC
Committed, thanks!